maxdb_field_tell
maxdb_get_client_info
MaxDB Functions
PHP Manual

# maxdb_free_result

# maxdb_result::free

Frees the memory associated with a result

### Description

Procedural style

void maxdb_free_result ( resource `$result` )

Object oriented style

void maxdb_result::free ( void )

The maxdb_free_result function frees the memory associated with the result represented by the `result` parameter, which was allocated by maxdb_query, maxdb_store_result or maxdb_use_result.

> Note:

> You should always free your result with maxdb_free_result, when your result resource is not needed anymore.

### Return Values

This function doesn't return any value.

### See Also

- maxdb_query
- maxdb_stmt_store_result
- maxdb_store_result
- maxdb_use_result